# canonmn.hpp File Reference

Canon MakerNote implemented according to the specification EXIF MakerNote of Canon by David Burren
and with reference to tag information from ExifTool by Phil Harvey. More...

`#include "types.hpp"`
`#include "makernote.hpp"`
`#include "tags.hpp"`
`#include <string>`
`#include <iosfwd>`
`#include <memory>`

Include dependency graph for canonmn.hpp:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | Exiv2

## Classes

class | Exiv2::CanonMakerNote
| MakerNote for Canon cameras. More...

## Functions

MakerNote::AutoPtr | Exiv2::createCanonMakerNote (bool alloc, const byte *buf, long len, ByteOrder byteOrder, long offset)
| Return an auto-pointer to a newly created empty MakerNote initialized to operate in the memory management model indicated. The caller owns this copy and the auto-pointer ensures that it will be deleted.
float | Exiv2::canonEv (long val)
| Convert Canon hex-based EV (modulo 0x20) to real number Ported from Phil Harvey's Image::ExifTool::Canon::CanonEv by Will Stokes.

## Detailed Description

Canon MakerNote implemented according to the specification EXIF MakerNote of Canon by David Burren
and with reference to tag information from ExifTool by Phil Harvey.

Version:
  Rev
    754

Author:
  Andreas Huggel (ahu) ahuggel@gmx.net

Date:
  18-Feb-04, ahu: created
  07-Mar-04, ahu: isolated as a separate component